Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041714
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-08-28 14:592019-09-04 16:37
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision4a816bcdc22c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041714: Sales Invoice Dimensional Report should not take into account the not unit cost adjustments

DescriptionSales Invoice Dimensional Report should not take into account the not unit cost adjustments
Steps To ReproduceAs group admin role:
   Set the 'Enable Negative Stock Correction' preference to Y
   Log out and log in

   Create a new product
   Set a storage bin as Undefined-Overissue to allow negative stock
   Add a manual average cost
   Create a Goods Shipment
   Add previously created product and complete it
   Invoice it

   Create a Purchase Order with a price different from the average cost
   Create the related goods receipt and complete it

   Create a goods shipment in order to leave the stock negative

   Create a Return from Customer and select the line from the first goods shipment
   Create the related Return Material Receipt
   Invoice it

   Launch the costing background process and check the transaction related with the Return Material Receipt line has created a negative stock correction

   Launch the Sales Invoice dimensional report:
      Dimensions: Documentno, Product
   Filter by the product created
   Check the cost in the line related with the Return invoice includes the amount of the negative stock correction too
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114352)
collazoandy4 (developer)
2019-09-02 01:06

Test Plan
   As System Admin Role:
     Set the 'Enable Negative Stock Correction' preference to Y
     Log out and log in
   As Group Admin Role
     Go to Warehouse and Storage bin and select Region Norte record
       Set the Rn-0-0-0 bin to Undefined-Overissue
     Go to Product window and create a new Product:
       Search Key/Name: Product
       Create a new record in Costing Tab:
         Cost Type: Average
         Cost: 10
         Starting Date: First month day
         Ending Date: Last month day
     Create a new Goods Shipment for 10 Units of previous product in Rn-0-0-0 bin
     Invoice this receipt
     Add to the previous product created a new record in Price tab for Tarifa de Bebidas Alegres with Unit/List Price: 5
     Create a new Purchase Order of 15 for this product
     Receipt the previous Order in Rn-0-0-0
     Create a new Goods Shipment with 7 units and check the product stock in Rn-0-0-0 is negative (-2)
     Create a new Return from Customer from the first shipment (10 units)
     Create a new Return Material Recipt from te previous RFC
     Invoice the RM Receipt
     Execute the Costing Background Process and check the transaccion line in Transaction tab for the Product have a negative stock correction
     Run the Sales Invoice Dimensional Report and check the negative stock correction from the transaction is not taked into account
(0114389)
hgbot (developer)
2019-09-04 09:18

Repository: erp/devel/pi
Changeset: 4a816bcdc22cbed11c62a1859c78e06d97e6a155
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Sun Sep 01 16:46:06 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/4a816bcdc22cbed11c62a1859c78e06d97e6a155 [^]

Fixes issue 41714: Sales Invoice Dimensional Report should not take into account
the not unit cost adjustments

A new filter was added to only take into account if the cost is unit cost

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
---
(0114390)
Sandrahuguet (developer)
2019-09-04 09:19

code review + testing ok
(0114402)
hudsonbot (developer)
2019-09-04 16:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2e882fde1e88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-28 14:59 ngarcia New Issue
2019-08-28 14:59 ngarcia Assigned To => Triage Finance
2019-08-28 14:59 ngarcia Modules => Core
2019-08-28 14:59 ngarcia Triggers an Emergency Pack => No
2019-08-28 14:59 ngarcia Issue Monitored: networkb
2019-08-29 07:42 rafaroda Issue Monitored: rafaroda
2019-08-29 11:24 Sandrahuguet Assigned To Triage Finance => collazoandy4
2019-08-29 15:30 collazoandy4 Status new => scheduled
2019-09-02 01:06 collazoandy4 Note Added: 0114352
2019-09-04 09:18 hgbot Checkin
2019-09-04 09:18 hgbot Note Added: 0114389
2019-09-04 09:18 hgbot Status scheduled => resolved
2019-09-04 09:18 hgbot Resolution open => fixed
2019-09-04 09:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4a816bcdc22cbed11c62a1859c78e06d97e6a155 [^]
2019-09-04 09:19 Sandrahuguet Review Assigned To => Sandrahuguet
2019-09-04 09:19 Sandrahuguet Note Added: 0114390
2019-09-04 09:19 Sandrahuguet Status resolved => closed
2019-09-04 09:19 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-09-04 16:37 hudsonbot Checkin
2019-09-04 16:37 hudsonbot Note Added: 0114402


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker